<?php // Vers 5.9.3 16.05.2016
/**
* индекс type задёт тип значения, возможные значения:
*	integer  - целое число
*	double   - вещественное число
*	string   - строка
*	checkbox - элемент допускающий установку/снятие галочки (тег <input type="checkbox">)
*	select   - выпадающий список
* индекс defval задаёт значение по умоляанию,
* индекс descr задаёт текстовое описание данного элемента, для вывода в качестве справки
* индекс access устанавливает уровень доступа, возможные значения
* 	public	- элемент доступен для чтения/изменения
*	final	- элемент доступен только для чтения
*	private - элемент не доступен
*/
$TYPES_NEW = array(

	'blogs_max_rows'		=> array('type'		=> 'integer',
									 'defval'	=> '10',
									 'descr'	=> array(	'rus' => 'Максимальное количество записей блогов на страницу',
															'eng' => 'Maximum blogs records quantity on page'),
									 'access'	=> 'editable'
									 ),

	'blogs_msgs_max_rows'		=> array('type'		=> 'integer',
									 'defval'	=> '10',
									 'descr'	=> array(	'rus' => 'Максимальное количество комментариев блога на страницу',
															'eng' => 'Maximum blogs comments quantity on page'),
									 'access'	=> 'editable'
									 ),
									 
	'blogs_img_max_size'		=> array('type'		=> 'integer',
									 'defval'	=> '300',
									 'descr'	=> array(	'rus' => 'Максимальный размер прикрепляемого к блогу изображения(Кб)',
															'eng' => 'Maximum blog attachment picture size(Kb)'),
									 'access'	=> 'editable'
									 ),

	'blogs_img_max_width'	=> array('type'		=> 'integer',
									 'defval'	=> '400',
									 'descr'	=> array(	'rus' => 'Сжимать по ширине прикреплённое к блогу изображения до(пикселей)',
															'eng' => 'Resize width blog attachment picture to (pixels)'),
									 'access'	=> 'editable'
									 ),

	'blogs_img_max_height'	=> array('type'		=> 'integer',
									 'defval'	=> '400',
									 'descr'	=> array(	'rus' => 'Сжимать по высоте прикреплённое к блогу изображения до(пикселей)',
															'eng' => 'Resize height blog attachment picture to (pixels)'),
									 'access'	=> 'editable'
									 ),

	'blogs_preview_max_width'	=> array('type'		=> 'integer',
									 'defval'	=> '100',
									 'descr'	=> array(	'rus' => 'Максимальная ширина предварительного изображения прикреплённого к блогу',
															'eng' => 'Maximum blog preview picture width'),
									 'access'	=> 'editable'
									 ),

	'blogs_preview_max_height'	=> array('type'		=> 'integer',
									 'defval'	=> '100',
									 'descr'	=> array(	'rus' => 'Максимальная высота предварительного изображения прикреплённого к блогу',
															'eng' => 'Maximum blog preview picture height'),
									 'access'	=> 'editable'
									 ),

	'blogs_comment_cnt'		=> array('type'		=> 'integer',
			   						'defval'	=> '20',
			   						'descr'	=> array(	'rus' => 'Кол-во комментариев на страницу',
												 						'eng' => 'Comments count on page'),
			   						'access'	=> 'editable'
			   						),

   );


$OPEN_NEW ['blogs_img_path'] = $CONFIG['files_upload_path'].'blogs/'.SITE_PREFIX.'/';	// Путь к картинкам новостей

$NEW = array(
/* ABOCMS:START */
'blogs_max_rows' => '10',
'blogs_msgs_max_rows' => '10',
'blogs_img_max_size' => '300',
'blogs_img_max_width' => '400',
'blogs_img_max_height' => '400',
'blogs_preview_max_width' => '100',
'blogs_preview_max_height' => '100',
/* ABOCMS:END */
);
?>