<?php
$MOD_TABLES[] = "CREATE TABLE `".$prefix."_blogs` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `announce` mediumtext NOT NULL,
  `content` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `author_id` int(11) NOT NULL default '0',
  `comments_type` tinyint(4) NOT NULL default '0',
  `active` tinyint(4) NOT NULL default '0',
  `image` varchar(255) default NULL,
  `preview` varchar(255) default NULL,
  `owner_id` int(10) unsigned NOT NULL default '0',
  `usr_group_id` int(10) unsigned NOT NULL default '0',
  `rights` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_blogs_comments` (
  `id` int(11) NOT NULL auto_increment,
  `blog_id` int(11) NOT NULL default '0',
  `comment` mediumtext NOT NULL,
  `author_id` int(11) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `active` tinyint(4) NOT NULL default '1',
  `owner_id` int(10) unsigned NOT NULL default '0',
  `usr_group_id` int(10) unsigned NOT NULL default '0',
  `rights` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_blogs_friends` (
  `siteuser_id` smallint(6) NOT NULL default '0',
  `friend_id` smallint(6) NOT NULL default '0',
  UNIQUE KEY `siteuserid` (`siteuser_id`,`friend_id`)
) ENGINE=MyISAM";
?>