<?php // Vers 5.9.3 16.05.2016
/**
* индекс type задёт тип значения, возможные значения:
*	integer  - целое число
*	double   - вещественное число
*	string   - строка
*	checkbox - элемент допускающий установку/снятие галочки (тег <input type="checkbox">)
*	select   - выпадающий список
* индекс defval задаёт значение по умоляанию,
* индекс descr задаёт текстовое описание данного элемента, для вывода в качестве справки
* индекс access устанавливает уровень доступа, возможные значения
* 	public	- элемент доступен для чтения/изменения
*	final	- элемент доступен только для чтения
*	private - элемент не доступен
*/
$TYPES_NEW = array(
			'friends_order_by'		=> array('type'		=> 'select',
			   									 'defval'	=> array('id DESC'	=> array(	'rus' => 'В порядке обратном добавлению',
													 										'eng' => 'Reverce adding order'),
			   									 					 'id'		=> array(	'rus' => 'В порядке добавлению',
													 										'eng' => 'Adding order'),
			   									 					 'last_upt'		=> array(	'rus' => 'В порядке обновления',
													 										'eng' => 'Update order'),
			   									 					 'last_upt DESC'	=> array(	'rus' => 'В порядке обратном обновлению',
													 										'eng' => 'Reverce update order'),
			   									 					 ),
			   									 'descr'	=> array(	'rus' => 'Порядок вывода записей на сайте',
						 												'eng' => 'Order of record displaying on site'),
												 'access'	=> 'editable',
												 ),
			'friends_max_rows' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '10',
				   								 'descr'	=> array(	'rus' => 'Количество записей на страницу',
												 						'eng' => 'Quantity of records on page'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_default_rights'	=> array('type'		=> 'string',
			   									 'defval'	=> '111111110001',
			   									 'descr'	=> array(	'rus' => 'Права для ванкансии по-умолчанию (формат <img src="/i/admin/rights_format.gif" width=72 height=18 alt="формат прав">, где x - 0 или 1, каждая группа представляет набор прав: удаление, публикация, редактирование, чтение)',
 												 						'eng' => 'Vacancy default rights (format <img src="/i/admin/rights_format.gif" width=72 height=18 alt="rights format">, where x - 0 or 1, every group is rights set: delete, publication, edit, read)'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_ref_city_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника городов',
												 						'eng' => 'References id of citys'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_ref_hair_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника цветов волос',
												 						'eng' => 'References id of hairs colors'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_ref_figure_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника телосложений',
												 						'eng' => 'References id of figures'),
			   									 'access'	=> 'editable'
			   									 ),

			'friends_ref_lang_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника языков',
												 						'eng' => 'References id of languages'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_ref_family_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника семейных положений',
												 						'eng' => 'References id of family states'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_ref_education_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника образований',
												 						'eng' => 'References id of educations'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_ref_aim_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника целей знакомств',
												 						'eng' => 'References id of aims'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_img_cnt' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '5',
				   								 'descr'	=> array(	'rus' => 'Коль-во фотографий в анкете',
												 						'eng' => 'Max fotos width'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_img_width' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '400',
				   								 'descr'	=> array(	'rus' => 'Max. ширина фотографии',
												 						'eng' => 'Max fotos width'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_img_height' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '400',
				   								 'descr'	=> array(	'rus' => 'Max. высота фотографии',
												 						'eng' => 'Max fotos height'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_prvw_width' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '100',
				   								 'descr'	=> array(	'rus' => 'Max. ширина уменьшенной фотографии',
												 						'eng' => 'Max preview width'),
			   									 'access'	=> 'editable'
			   									 ),
			'friends_prvw_height' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '100',
				   								 'descr'	=> array(	'rus' => 'Max. высота уменьшенной фотографии',
												 						'eng' => 'Max preview height'),
			   									 'access'	=> 'editable'
			   									 ),

			);


$OPEN_NEW = array (
'friends_date_format' => '%d.%m.%Y',
'friends_img_path' => 'files/friends/',
'friends_start_year' => 1975,
'friends_end_year' => 2000,
'friends_allow_img_type' => array('image/gif' => 'gif', 'image/jpeg' => 'jpeg', 'image/png' => 'png', 'image/pjpeg' => 'jpg', 'image/x-png' => 'png'),
'friends_ages' => array(
    '10-14' => array('name' => '10-14'),
    '15-17' => array('name' => '15-17'),
    '18-20' => array('name' => '18-20'),
    '21-25' => array('name' => '21-25')
),
'friends_parters' => array(
    'm' => array('name' => $this->_msg['Man']),
    'w' => array('name' => $this->_msg['Wom']),
    'm,w' => array('name' => $this->_msg['All']),
),
'friends_months' => array(
    1 => 'января',
    2 => 'февраля',
    3 => 'марта',
    4 => 'апреля',
    5 => 'мая',
    6 => 'июня',
    7 => 'июля',
    8 => 'августа',
    9 => 'сентября',
    10 => 'октября',
    11 => 'ноября',
    12 => 'декабря',
),
);

/*------------- Ниже следующий массив задаётся из административного раздела модуля -------*/
$NEW = array(
/* ABOCMS:START */
'friends_order_by' => 'id DESC',
'friends_max_rows' => '3',
'friends_default_rights' => '111111110001',
'friends_ref_city_id' => '7',
'friends_ref_hair_id' => '3',
'friends_ref_figure_id' => '4',
'friends_ref_lang_id' => '6',
'friends_ref_family_id' => '8',
'friends_ref_education_id' => '9',
'friends_ref_aim_id' => '10',
'friends_img_cnt' => '5',
'friends_img_width' => '400',
'friends_img_height' => '400',
'friends_prvw_width' => '100',
'friends_prvw_height' => '100',
/* ABOCMS:END */
);
?>