<?php // Vers 5.9.3 16.05.2016
/**
* индекс type задёт тип значения, возможные значения:
*	integer  - целое число
*	double   - вещественное число
*	string   - строка
*	checkbox - элемент допускающий установку/снятие галочки (тег <input type="checkbox">)
*	select   - выпадающий список
* индекс defval задаёт значение по умоляанию,
* индекс descr задаёт текстовое описание данного элемента, для вывода в качестве справки
* индекс access устанавливает уровень доступа, возможные значения
* 	public	- элемент доступен для чтения/изменения
*	final	- элемент доступен только для чтения
*	private - элемент не доступен
*/
$TYPES_NEW = array(
			  'gallery_order_by'		=> array('type'		=> 'select',
			   									 'defval'	=> array('id DESC'	=> array(	'rus' => 'В порядке обратном добавлению',
													 										'eng' => 'Reverce adding order'),
			   									 					 'id'		=> array(	'rus' => 'В порядке добавлению',
													 										'eng' => 'Adding order'),
			   									 					 'idx'		=> array(	'rus' => 'в установленном порядке (добавляется в конец)',
													 										'eng' => 'in defined order (add to bottom)'),
			   									 					 'idx DESC'	=> array(	'rus' => 'в установленном порядке (добавляется в начало)',
													 										'eng' => 'in defined order (add to top)'),
			   									 					 ),
			   									 'descr'	=> array(	'rus' => 'Порядок вывода записей на сайте',
						 												'eng' => 'Order of record displaying on site'),
												 'access'	=> 'editable',
												 ),

			   'gallery_max_rows'		=> array('type'		=> 'integer',
			   									 'defval'	=> '5',
				   								 'descr'	=> array(	'rus' => 'Максимальное количество изображений на страницу',
												 						'eng' => 'Maximum quantity of records on page'),
			   									 'access'	=> 'editable'
			   									 ),

			   'gallery_max_annonce'		=> array('type'		=> 'integer',
			   									 'defval'	=> '5',
				   								 'descr'	=> array(	'rus' => 'Максимальное количество изображений в анонсе',
												 						'eng' => 'Quantity of photos in annonce'),
			   									 'access'	=> 'editable'
			   									 ),

			   'gallery_small_image_width'	=> array('type'	=> 'integer',
   												 'defval'	=> '66',
   									 			 'descr'	=> array(	'rus' => 'Ширина маленького изображения в галерее',
												 						'eng' => 'Small picture width'),
   									 			 'access'	=> 'editable'
   									 			 ),

			   'gallery_small_image_height'	=> array('type'	=> 'integer',
			   									 'defval'	=> '66',
			   									 'descr'	=> array(	'rus' => 'Высота маленького изображения в галерее',
												 						'eng' => 'Small picture height'),
			   									 'access'	=> 'editable'
			   									 ),

			   'gallery_big_image_max_width' => array('type'=> 'integer',
			   									 'defval'	=> '0',
			   									 'descr'	=> array(	'rus' => 'Максимальная ширина большого изображения (0 - не подгонять)',
												 						'eng' => 'Maximum width of large picture (0 - not resize)'),
			   									 'access'	=> 'editable'
			   									 ),

			   'gallery_big_image_max_height' => array('type'=> 'integer',
			   									 'defval'	=> '0',
			   									 'descr'	=> array(	'rus' => 'Максимальная высота большого изображения (0 - не подгонять)',
												 						'eng' => 'Maximum width of large picture (0 - not resize)'),
			   									 'access'	=> 'editable'
			   									 ),
			   									 
			   'gallery_preliminary_showing' => array('type'=> 'integer',
			   									 'defval'	=> '4',
			   									 'descr'	=> array(	'rus' => 'Количество изображений отображаемых для каждого альбома при просмотре списка альбомов',
												 						'eng' => 'Pictures count displaying for categories at gallery first page in categories list'),
			   									 'access'	=> 'editable'
			   									 ),
			   'gallery_count_hits'        	=> array('type'		=> 'checkbox',
			   									 'defval'	=> 'on',
			   									 'descr'	=> array(	'rus' => 'Учитывать статистику отображения контента',
												 						'eng' => 'To consider statistics of display of a content'),
			   									 'access'	=> 'editable'
			   									 ),
			   'gallery_default_rights'	=> array('type'		=> 'string',
			   									 'defval'	=> '111111110001',
			   									 'descr'	=> array(	'rus' => 'Права для галереи по-умолчанию (формат <img src="/i/admin/rights_format.gif" width=72 height=18 alt="формат прав">, где x - 0 или 1, каждая группа представляет набор прав: удаление, публикация, редактирование, чтение)',
 												 						'eng' => 'Gallery default rights (format <img src="/i/admin/rights_format.gif" width=72 height=18 alt="rights format">, where x - 0 or 1, every group is rights set: delete, publication, edit, read)'),
			   									 'access'	=> 'editable'
			   									 ),
			   'gallery_photo_imposition'        	=> array('type'		=> 'file',
			   									 'defval'	=> '',
			   									 'descr'	=> array(	'rus' => 'Изображение для наложения',
												 						'eng' => 'Photo for imposition'),
			   									 'access'	=> 'editable'
			   									 ),
			   'gallery_photo_merge'        	=> array('type'		=> 'integer',
			   									 'defval'	=> '70',
			   									 'descr'	=> array(	'rus' => 'Прозрачность изображения (в процентах)',
												 						'eng' => 'Merge photo'),
			   									 'access'	=> 'editable'
			   									 ),
			   'gallery_photo_x' => array('type'=> 'integer',
			   									 'defval'	=> '0',
			   									 'descr'	=> array(	'rus' => 'Координата X верхнего левого угла изображения в пикселях',
												 						'eng' => 'Координата X верхнего левого угла изображения'),
			   									 'access'	=> 'editable'
			   									 ),
			   'gallery_photo_y' => array('type'=> 'integer',
			   									 'defval'	=> '0',
			   									 'descr'	=> array(	'rus' => 'Координата Y верхнего левого угла изображения в пикселях',
												 						'eng' => 'Координата Y верхнего левого угла изображения'),
			   									 'access'	=> 'editable'
			   									 ),
			   'gallery_comment_cnt' => array('type'		=> 'integer',
            			   						'defval'	=> '20',
            			   						'descr'	=> array(	'rus' => 'Кол-во комментариев на страницу',
            												 		'eng' => 'Comments count on page'),
            			   						'access'	=> 'editable'
            			   						),
			   'gallery_max_tags_cnt' => array('type'		=> 'integer',
            			   						'defval'	=> '7',
            			   						'descr'	=> array(	'rus' => 'Максимальное кол-во тегов у изображения',
            												 		'eng' => 'Maximum number of tags in images'),
            			   						'access'	=> 'editable'
            			   						),
				'gallery_dont_show_info'			=> array(
												 'type'		=> 'checkbox',
												 'defval'	=> '0',
												 'descr'	=> array(	'rus' => 'Отключить отображение информации об изображении в списке изображений',
												 						'eng' => 'Disable the display of the image information in the image list'),
												 'access'	=> 'editable'
												 ),
			   );

$OPEN_NEW = array(
	'gallery_img_path'				=> 'files/gallery/{SITE_PREFIX}/',	// куда ложить закачанные на сервер фотографии
	'gallery_no_photo'				=> '/i/no_photo.gif',	// куда ложить закачанные на сервер фотографии
	'gallery_font_cnt' => 6,
);

/*------------- Ниже следующий массив задаётся из административного раздела модуля -------*/
$NEW = array(
/* ABOCMS:START */
'gallery_order_by' => 'idx',
'gallery_max_rows' => '15',
'gallery_max_annonce' => '6',
'gallery_small_image_width' => '120',
'gallery_small_image_height' => '120',
'gallery_big_image_max_width' => '640',
'gallery_big_image_max_height' => '480',
'gallery_preliminary_showing' => '5',
'gallery_count_hits' => 'on',
'gallery_default_rights' => '111111110001',
'gallery_photo_imposition' => 'gal-logo-png.png',
'gallery_photo_merge' => '50',
'gallery_photo_x' => '-147',
'gallery_photo_y' => '-56',
'gallery_comment_cnt' => '5',
'gallery_max_tags_cnt' => '8',
'gallery_dont_show_info' => '',
/* ABOCMS:END */
);
?>