<?php

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_gallery` (
  `id` int unsigned NOT NULL auto_increment,
  `category_id` smallint(5) unsigned NOT NULL default '0',
  `theme_id` smallint(5) unsigned NOT NULL default '0',
  `signature` varchar(255) default NULL,
  `description` text,
  `small_image` varchar(100) NOT NULL default '',
  `big_image` varchar(100) NOT NULL default '',
  `original_image` varchar(100) NOT NULL default '',
  `active` tinyint(1) NOT NULL default '0',
  `poll_rate` int(10) unsigned NOT NULL default '0',
  `voices` int(10) unsigned NOT NULL default '0',
  `last_poll_date` datetime default NULL,
  `idx` smallint(5) unsigned NOT NULL default '1',
  `hits` bigint(20) unsigned NOT NULL default '0',
  `owner_id` int(10) unsigned NOT NULL default '0',
  `usr_group_id` int(10) unsigned NOT NULL default '0',
  `rights` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_gallery_categories` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `dscr` text NOT NULL default '',
  `image` varchar(100) NOT NULL default '',
  `idx` smallint(5) unsigned NOT NULL default '1',
  `comment` tinyint(1) NOT NULL default '0',
  `poll` tinyint(1) NOT NULL default '0',
  `user_ctgr` tinyint(1) NOT NULL default '0',
  `owner_id` int(10) unsigned NOT NULL default '0',
  `usr_group_id` int(10) unsigned NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  `rights` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_gallery_themes` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_tag` (
  `id` int unsigned NOT NULL auto_increment,
  `name` varchar(31) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY (`name`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_tag_item` (
  `tag_id` int unsigned NOT NULL default 0,
  `item_id` int unsigned NOT NULL default 0,
  UNIQUE (`tag_id`, `item_id`)
) ENGINE=MyISAM";
?>