<?php // Vers 5.9.3 16.05.2016
/**
* индекс type задёт тип значения, возможные значения:
*	integer  - целое число
*	double   - вещественное число
*	string   - строка
*	checkbox - элемент допускающий установку/снятие галочки (тег <input type="checkbox">)
*	select   - выпадающий список
* индекс defval задаёт значение по умоляанию,
* индекс descr задаёт текстовое описание данного элемента, для вывода в качестве справки
* индекс access устанавливает уровень доступа, возможные значения
* 	public	- элемент доступен для чтения/изменения
*	final	- элемент доступен только для чтения
*	private - элемент не доступен
*/
$TYPES_NEW = array(
			'job_order_by'		=> array('type'		=> 'select',
			   									 'defval'	=> array('id DESC'	=> array(	'rus' => 'В порядке обратном добавлению',
													 										'eng' => 'Reverce adding order'),
			   									 					 'id'		=> array(	'rus' => 'В порядке добавлению',
													 										'eng' => 'Adding order'),
			   									 					 ),
			   									 'descr'	=> array(	'rus' => 'Порядок вывода записей на сайте',
						 												'eng' => 'Order of record displaying on site'),
												 'access'	=> 'editable',
												 ),

			'job_admin_order_by'	=> array('type'		=> 'select',
			   									 'defval'	=> array('id DESC'	=> array(	'rus' => 'В порядке обратном добавлению',
													 										'eng' => 'Reverce adding order'),
			   									 					 'id'		=> array(	'rus' => 'В порядке добавлению',
													 										'eng' => 'Adding order'),
			   									 					 ),
			   									 'descr'	=> array(	'rus' => 'Порядок вывода записей в адм. интерфейсе',
						 												'eng' => 'Order of record displaying on admin part'),
			   									 'access'	=> 'editable'
			   									 ),

			'job_max_rows' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '10',
				   								 'descr'	=> array(	'rus' => 'Количество записей на страницу',
												 						'eng' => 'Quantity of records on page'),
			   									 'access'	=> 'editable'
			   									 ),
			'job_default_rights'	=> array('type'		=> 'string',
			   									 'defval'	=> '111111110001',
			   									 'descr'	=> array(	'rus' => 'Права для ванкансии по-умолчанию (формат <img src="/i/admin/rights_format.gif" width=72 height=18 alt="формат прав">, где x - 0 или 1, каждая группа представляет набор прав: удаление, публикация, редактирование, чтение)',
 												 						'eng' => 'Vacancy default rights (format <img src="/i/admin/rights_format.gif" width=72 height=18 alt="rights format">, where x - 0 or 1, every group is rights set: delete, publication, edit, read)'),
			   									 'access'	=> 'editable'
			   									 ),

			'job_ref_city_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника городов',
												 						'eng' => 'Id of citys reference'),
			   									 'access'	=> 'editable'
			   									 ),

			'job_ref_activity_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника видов деятельности',
												 						'eng' => 'Id of kind of activitys reference'),
			   									 'access'	=> 'editable'
			   									 ),

			'job_ref_schedule_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника графиков работы',
												 						'eng' => 'Id of operating schedules reference'),
			   									 'access'	=> 'editable'
			   									 ),

			'job_ref_vcnc_ctgr_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника категорий вакансий',
												 						'eng' => 'Id of vacancy categories reference'),
			   									 'access'	=> 'editable'
			   									 ),

			'job_ref_education_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника образований',
												 						'eng' => 'Id of educations reference'),
			   									 'access'	=> 'editable'
			   									 ),

			'job_ref_experience_id' 		=> array('type'		=> 'integer',
			   									 'defval'	=> '0',
				   								 'descr'	=> array(	'rus' => 'Id справочника опыта работ',
												 						'eng' => 'Id of experiences reference'),
			   									 'access'	=> 'editable'
			   									 ),
			);


$OPEN_NEW = array (
'job_date_format' => '%d.%m.%Y',
);

/*------------- Ниже следующий массив задаётся из административного раздела модуля -------*/
$NEW = array(
/* ABOCMS:START */
'job_order_by' => 'id DESC',
'job_admin_order_by' => 'id DESC',
'job_max_rows' => '5',
'job_default_rights' => '111111110001',
'job_ref_city_id' => '17',
'job_ref_activity_id' => '22',
'job_ref_schedule_id' => '26',
'job_ref_vcnc_ctgr_id' => '27',
'job_ref_education_id' => '24',
'job_ref_experience_id' => '25',
/* ABOCMS:END */
);
?>