<?php // Vers 5.9.3 16.05.2016
/**
* индекс type задёт тип значения, возможные значения:
*	integer  - целое число
*	double   - вещественное число
*	string   - строка
*	checkbox - элемент допускающий установку/снятие галочки (тег <input type="checkbox">)
*	select   - выпадающий список
* индекс defval задаёт значение по умоляанию,
* индекс descr задаёт текстовое описание данного элемента, для вывода в качестве справки
* индекс access устанавливает уровень доступа, возможные значения
* 	public	- элемент доступен для чтения/изменения
*	final	- элемент доступен только для чтения
*	private - элемент не доступен
*/
$TYPES_NEW = array(
		'sitelinks_ctg_order_by'	=> array('type'		=> 'select',
											 'defval'	=> array('title'       	=> array(	'rus' => 'В алфавитном порядке',
											 												'eng' => 'A-Z order'),
											 					 '-title'      	=> array(	'rus' => 'В обратном алфавитном порядке',
											 												'eng' => 'Z-A order'),
											 					 'date'	        => array(	'rus' => 'По возрастанию даты',
											 												'eng' => 'Date increase order'),
											 					 '-date'       	=> array(	'rus' => 'По убыванию даты',
											 												'eng' => 'Date decrease order'),
											 					 'site'    		=> array(	'rus' => 'По возрастанию кол-ва ссылок',
											 												'eng' => 'Count links increase order'),
											 					 '-site'		=> array(	'rus' => 'По убыванию кол-ва ссылок',
											 												'eng' => 'Count links decrease order'),
											 					 ),
											 'descr'	=> array(	'rus' => 'Порядок вывода категорий',
					 												'eng' => 'Categories display order'),
											 'access'	=> 'editable',
											 ),

		'sitelinks_order_by'		=> array('type'		=> 'select',
		   									 'defval'	=> array('date'			=> array(	'rus' => 'По возрастанию даты',
											 												'eng' => 'Date increase order'),
											 					 '-date'		=> array(	'rus' => 'По убыванию даты',
											 												'eng' => 'Date decrease order'),
											 					 'tcy'    		=> array(	'rus' => 'По возрастанию тИЦ',
											 												'eng' => 'tcy increase order'),
											 					 '-tcy'		    => array(	'rus' => 'По убыванию тИЦ',
											 												'eng' => 'tcy decrease order'),
											 					 ),
		   									 'descr'	=> array(	'rus' => 'Порядок вывода записей на сайте',
					 												'eng' => 'Records on site display order'),
		   									 'access'	=> 'editable'
		   									 ),

		'sitelinks_max_rows'		=> array('type'		=> 'integer',
		   									 'defval'	=> '10',
		   									 'descr'	=> array(	'rus' => 'Максимальное количество записей на страницу',
					 												'eng' => 'Maximum quantity of records on page'),
		   									 'access'	=> 'editable'
		   									 ),

		'sitelinks_max_title'	=> array('type'		=> 'integer',
		   									 'defval'	=> '0',
		   									 'descr'	=> array(	'rus' => 'Максимальное количество символов для названия сайта',
					 												'eng' => 'Maximum quantity of symbols in site title'),
		   									 'access'	=> 'editable'
		   									 ),

		'sitelinks_min_title'	=> array('type'		=> 'integer',
		   									 'defval'	=> '0',
		   									 'descr'	=> array(	'rus' => 'Минимальное количества символов для названия сайта',
					 												'eng' => 'Minimum quantity of symbols in site title'),
		   									 'access'	=> 'editable'
		   									 ),

		'sitelinks_max_dscr'	=> array('type'		=> 'integer',
		   									 'defval'	=> '0',
		   									 'descr'	=> array(	'rus' => 'Максимальное количества символов для описания сайта',
					 												'eng' => 'Maximum quantity of symbols in site description'),
		   									 'access'	=> 'editable'
		   									 ),

		'sitelinks_min_dscr'	=> array('type'		=> 'integer',
		   									 'defval'	=> '0',
		   									 'descr'	=> array(	'rus' => 'Минимальное количества символов для описания сайта',
					 												'eng' => 'Minimum quantity of symbols in site description'),
		   									 'access'	=> 'editable'
		   									 ),

		'sitelinks_recipient'		=> array('type'		=> 'string',
		   									 'defval'	=> 'sitelinks_recepient@cms',
		   									 'descr'	=> array(	'rus' => 'E-mail получателя извещения о новом сайте',
					 												'eng' => 'E-mail the addressee of the notice on a new site'),
		   									 'access'	=> 'editable'
		   									 ),

		'sitelinks_check_period'	=> array('type'		=> 'integer',
		   									 'defval'	=> '1',
		   									 'descr'	=> array(	'rus' => 'Период, в днях, в течении которого сайт не проверяется роботом на наличие обратных ссылок',
					 												'eng' => 'The period, in days in which current the site is not checked by the robot on presence of return references'),
		   									 'access'	=> 'editable'
		   									 ),

		'sitelinks_check_cnt'     	=> array('type'		=> 'integer',
		   									 'defval'	=> '5',
		   									 'descr'	=> array(	'rus' => 'Количество сайтов орабатываемых роботом при проверке обратных ссылок(0 - все)',
					 												'eng' => 'Quantity of sites орабатываемых the robot at check of return references(0 - all)'),
		   									 'access'	=> 'editable'
		   									 ),

		'sitelinks_root_title'		=> array('type'		=> 'string',
		   									 'defval'	=> 'Каталог ссылок',
		   									 'descr'	=> array(	'rus' => 'Заголовок корневого раздела',
					 												'eng' => 'Heading of root section'),
		   									 'access'	=> 'editable'
		   									 ),
		);

$OPEN_NEW = array (
    "sitelinks_captcha_width" => 110,
    "sitelinks_captcha_height" => 32,
    "sitelinks_captcha_fontsize" => 16,
    "sitelinks_captcha_fontdepth" => 2,
    "sitelinks_captcha_symbols" => "0123456789",
    "sitelinks_captcha_wordlength" => 5,
    "sitelinks_captcha_fonts" => array(
	   $_SERVER["DOCUMENT_ROOT"] . "/inc/captcha/arialbd.ttf",
	   $_SERVER["DOCUMENT_ROOT"] . "/inc/captcha/comicbd.ttf",
	   $_SERVER["DOCUMENT_ROOT"] . "/inc/captcha/courbd.ttf",
	   $_SERVER["DOCUMENT_ROOT"] . "/inc/captcha/timesbd.ttf",
    ),
    "sitelinks_captcha_bgcolor" => array(98, 118, 144),
    "sitelinks_captcha_color" => array(rand(190, 210), rand(200, 220), rand(30, 50)),
    "sitelinks_captcha_color2" => array(rand(150, 170), rand(50, 70), rand(140, 160)),
    "sitelinks_encodings" => array('UTF-8', 'Windows-1251', 'KOI8', 'ISO-8859-5', 'ISO-8859-1'),
);

/*------------- Ниже следующий массив задаётся из административного раздела модуля -------*/
$NEW = array(
/* ABOCMS:START */
'sitelinks_ctg_order_by' => 'date',
'sitelinks_order_by' => 'date',
'sitelinks_max_rows' => '10',
'sitelinks_max_title' => '100',
'sitelinks_min_title' => '3',
'sitelinks_max_dscr' => '256',
'sitelinks_min_dscr' => '10',
'sitelinks_recipient' => 'sitelinks_recepient@cms',
'sitelinks_check_period' => '3',
'sitelinks_check_cnt' => '3',
'sitelinks_root_title' => 'Каталог ссылок',
/* ABOCMS:END */
);
?>