<?php // Vers 5.9.3 16.05.2016
/**
* индекс type задёт тип значения, возможные значения:
*	integer  - целое число
*	double   - вещественное число
*	string   - строка
*	checkbox - элемент допускающий установку/снятие галочки (тег <input type="checkbox">)
*	select   - выпадающий список
* индекс defval задаёт значение по умоляанию,
* индекс descr задаёт текстовое описание данного элемента, для вывода в качестве справки
* индекс access устанавливает уровень доступа, возможные значения
* 	public	- элемент доступен для чтения/изменения
*	final	- элемент доступен только для чтения
*	private - элемент не доступен
*/
$TYPES_NEW = array(
			  'support_order_by'		=> array('type'		=> 'select',
		   									 'defval'	=> array('id DESC'	=> array(	'rus' => 'В порядке обратном добавлению',
												 										'eng' => 'Reverce adding order'),
		   									 					 'id'		=> array(	'rus' => 'В порядке добавлению',
												 										'eng' => 'Adding order'),
		   									 					 ),
		   									 'descr'	=> array(	'rus' => 'Порядок вывода записей',
						 											'eng' => 'Order of record displaying'),
											 'access'	=> 'editable',
											 ),

			   'support_max_rows'		=> array('type'		=> 'integer',
			   								 'defval'	=> '20',
			   								 'descr'	=> array(	'rus' => 'Количество запросов на странице',
											 						'eng' => 'Maximum quantity of records on page'),
			   								 'access'	=> 'editable'
			   								 ),

			   'support_site_max_rows'		=> array('type'		=> 'integer',
			   								 'defval'	=> '20',
			   								 'descr'	=> array(	'rus' => 'Количество выводимых заявок для пользователя',
											 						'eng' => 'Maximum quantity of records on page'),
			   								 'access'	=> 'editable'
			   								 ),

			   'support_max_users'		=> array('type'		=> 'integer',
			   								 'defval'	=> '20',
			   								 'descr'	=> array(	'rus' => 'Количество пользователей на странице',
											 						'eng' => 'Maximum quantity of records on page'),
			   								 'access'	=> 'editable'
			   								 ),

			   'support_date_format' 	=> array('type'		=> 'select',
		   									 'defval'	=> array('%d.%m.%Y %H:%i'	=> array(	'rus' => 'День.Месяц.Год Часы:Минуты',
											 										  			'eng' => 'Day.Month.Year Hours:Minutes'),
		   									 					 '%d.%m.%Y'			=> array(	'rus' => 'День.Месяц.Год',
											 													'eng' => 'Day.Month.Year'),
		   									 					 '%Y.%m.%d'			=> array(	'rus' => 'Год.Месяц.День',
											 													'eng' => 'Year.Month.Day'),
		   									 					 '%Y.%m.%d %H:%i'	=> array(	'rus' => 'Год.Месяц.День Часы:Минуты',
											 													'eng' => 'Year.Month.Day Hours:Minutes'),
		   									 					 ),
											 'descr'	=> array(	'rus' => 'Формат выводимой даты',
											 						'eng' => 'Format of deduced date'),
			   								 'access'	=> 'editable'
			   								 ),

			   'support_email_subj'		=> array('type'		=> 'string',
			   								 'defval'	=> 'Emails subject',
			   								 'descr'	=> array(	'rus' => 'Тема письма с уведомлением об ответе на заявку',
											 						'eng' => 'Emails subject'),
			   								 'access'	=> 'editable'
			   								 ),
			   );

$OPEN_NEW = array(
    'support_files_parh' => 'files/support/',
    'support_email_type' => 'text/html',
);

/*------------- Ниже следующий массив задаётся из административного раздела модуля -------*/
$NEW = array(
/* ABOCMS:START */
'support_order_by' => 'id DESC',
'support_max_rows' => '20',
'support_site_max_rows' => '2',
'support_max_users' => '10',
'support_date_format' => '%d.%m.%Y %H:%i',
'support_email_subj' => 'Уведомление об ответе на заявку',  
/* ABOCMS:END */
);
?>