<?php

$MOD_TABLES[] = "CREATE TABLE `user_friends_form` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `year` smallint(4) unsigned NOT NULL default '0',
  `month` tinyint(2) unsigned NOT NULL default '0',
  `day` tinyint(2) unsigned NOT NULL default '0',
  `height` tinyint(3) unsigned NOT NULL default '0',
  `weight` tinyint(3) unsigned NOT NULL default '0',
  `sex` enum('m','w') NOT NULL,
  `partner` set('m','w') NOT NULL,
  `ref_city` int(10) unsigned NOT NULL default '0',
  `ref_hair` int(10) unsigned NOT NULL default '0',
  `ref_figure` int(10) unsigned NOT NULL default '0',
  `ref_family` int(10) unsigned NOT NULL default '0',
  `ref_education` int(10) unsigned NOT NULL default '0',
  `ref_aim` int(10) unsigned NOT NULL default '0',
  `about` text NOT NULL,
  `find` text NOT NULL,
  `active` tinyint(1) unsigned NOT NULL default '1',
  `last_upd` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `owner_id` int(10) unsigned NOT NULL default '0',
  `usr_group_id` int(10) unsigned NOT NULL default '0',
  `rights` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `user_friends_form_img` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `form_id` int(10) unsigned NOT NULL default '0',
  `small` varchar(31) NOT NULL,
  `big` varchar(31) NOT NULL,
  `is_main` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `form_id` (`form_id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `user_friends_form_lang` (
  `form_id` int(10) unsigned NOT NULL default '0',
  `lang_id` int(10) unsigned NOT NULL default '0',
  KEY `form_id` (`form_id`,`lang_id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `user_friends_reference` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(63) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `user_friends_reference_val` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `ref_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(127) NOT NULL,
  `num` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM";






?>