<?php // Vers 5.9.3 16.05.2016
/**
* индекс type задёт тип значения, возможные значения:
*	integer  - целое число
*	double   - вещественное число
*	string   - строка
*	checkbox - элемент допускающий установку/снятие галочки (тег <input type="checkbox">)
*	select   - выпадающий список
* индекс defval задаёт значение по умоляанию,
* индекс descr задаёт текстовое описание данного элемента, для вывода в качестве справки
* индекс access устанавливает уровень доступа, возможные значения
* 	public	- элемент доступен для чтения/изменения
*	final	- элемент доступен только для чтения
*	private - элемент не доступен
*/
$TYPES_NEW = array(
		  'glossary_order_by'			=> array('type'		=> 'select',
											 	 'defval'	=> array('navletter, term'	=> array(	'rus' => 'навигационная буква, определение',
														 											'eng' => 'navigation letter, definition'),
												 					 'term, navletter'	=> array(	'rus' => 'определение, навигационная буква',
														 											'eng' => 'definition, navigation letter'),
												 					 ),
			   									 'descr'	=> array(	'rus' => 'Порядок вывода записей на сайте',
						 												'eng' => 'Order of record displaying on site'),
											 	 'access'	=> 'editable',
											 ),

		   'glossary_admin_order_by'	=> array('type'		=> 'select',
												 'defval'	=> array('id DESC'	=> array(	'rus' => 'в порядке обратном добавлению',
												 											'eng' => 'reverce adding order'),
												 					 'id'		=> array(	'rus' => 'в порядке добавления',
												 											'eng' => 'adding order'),
												 					 ),
			   									 'descr'	=> array(	'rus' => 'Порядок вывода записей в адм. интерфейсе',
						 												'eng' => 'Order of record displaying  on admin part'),
											 	 'access'	=> 'editable',
											 ),

		   'glossary_max_rows' 			=> array('type'		=> 'integer',
		   										 'defval'	=> '5',
				   								 'descr'	=> array(	'rus' => 'Максимальное количество записей на страницу',
												 						'eng' => 'Maximum quantity of records on page'),
		   									 	 'access'	=> 'editable'
		   									 ),
		   'glossary_default_rights'	=> array('type'		=> 'string',
			   									 'defval'	=> '111111110001',
			   									 'descr'	=> array(	'rus' => 'Права для глосария по-умолчанию (формат <img src="/i/admin/rights_format.gif" width=72 height=18 alt="формат прав">, где x - 0 или 1, каждая группа представляет набор прав: удаление, публикация, редактирование, чтение)',
 												 						'eng' => 'Glossary default rights (format <img src="/i/admin/rights_format.gif" width=72 height=18 alt="rights format">, where x - 0 or 1, every group is rights set: delete, publication, edit, read)'),
			   									 'access'	=> 'editable'
			   									 ),
		   );

$OPEN_NEW = array();

/*------------- Ниже следующий массив задаётся из административного раздела модуля -------*/
$NEW = array(
/* ABOCMS:START */
'glossary_order_by' => 'navletter, term',
'glossary_admin_order_by' => 'id DESC',
'glossary_max_rows' => '10',
'glossary_default_rights' => '111111110001',
/* ABOCMS:END */
);
?>