<?php // Vers 5.9.3 16.05.2016
/**
* индекс type задёт тип значения, возможные значения:
*	integer  - целое число
*	double   - вещественное число
*	string   - строка
*	checkbox - элемент допускающий установку/снятие галочки (тег <input type="checkbox">)
*	select   - выпадающий список
* индекс defval задаёт значение по умоляанию,
* индекс descr задаёт текстовое описание данного элемента, для вывода в качестве справки
* индекс access устанавливает уровень доступа, возможные значения
* 	public	- элемент доступен для чтения/изменения
*	final	- элемент доступен только для чтения
*	private - элемент не доступен
*/
$TYPES_NEW = array(
			  'maps_max_rows'		=> array('type'		=> 'integer',
												 'defval'	=> '10',
			   									 'descr'	=> array(	'rus' => 'Максимальное количество записей на страницу',
												 						'eng' => 'Maximum quantity of records on page'),
												 'access'	=> 'editable',
												 ),

			   'maps_ctg_order_by'	=> array('type'		=> 'select',
			   									 'defval'	=> array('rank'			=> array(	'rus' => 'По возрастанию ранга',
												 												'eng' => 'On increase of a rank'),
			   									 					 'rank DESC'	=> array(	'rus' => 'По убыванию ранга',
												 												'eng' => 'On decrease of a rank'),
			   									 					 'title'		=> array(	'rus' => 'По названию категории А-Я',
												 												'eng' => 'On category name A-Z'),
			   									 					 'title DESC'	=> array(	'rus' => 'По названию категории Я-А',
												 												'eng' => 'On category name Z-A'),
			   									 ),
			   									 'descr'	=> array(	'rus' => 'Порядок вывода категорий',
						 												'eng' => 'Order of categories displaying'),
												 'access'	=> 'editable'
			   									 ),

			   'maps_prod_order_by' 	=> array('type'		=> 'select',
			   									 'defval'	=> array('product_title'		=> array(	'rus' => 'По названию пункта',
														 												'eng' => 'On item`s title'),
			   									                     'addr'		=> array(	'rus' => 'По адресу пункта',
														 												'eng' => 'On item`s addres'),
			   									                     'ptype_id, rank'		=> array(	'rus' => 'По производителю, по возрастанию ранга',
														 												'eng' => 'On manufacturer, on increase of a rank'),
			   									 					 'ptype_id, rank DESC'	=> array(	'rus' => 'По производителю, по убыванию ранга',
														 												'eng' => 'On manufacturer, on decrease of a rank'),
			   									 					 'rank, ptype_id'		=> array(	'rus' => 'По возрастанию ранга, производителю',
														 												'eng' => 'On increase of a rank, on manufacturer'),
			   									 					 'rank DESC, ptype_id'	=> array(	'rus' => 'По убыванию ранга, производителю',
														 												'eng' => 'On decrease of a rank, on manufacturer'),
			   									 ),
			   									 'descr'	=> array(	'rus' => 'Порядок вывода пунктов по умолчанию',
						 												'eng' => 'Default order of points displaying'),
			   									 'access'	=> 'editable'
			   									 ),
			  'maps_empty_prp'		=> array('type'		=> 'string',
												 'defval'	=> '&nbsp;',
												 'descr'	=> array(	'rus' => 'Значение выводимое на месте пустого свойства при сравнении товаров',
						 												'eng' => 'Value displaying on a place of empty property at comparison of the goods'),
												 'access'	=> 'editable',
												 ),
			   'maps_count_hits' 	    => array('type'		=> 'checkbox',
			   									 'defval'	=> 'on',
			   									 'descr'	=> array(	'rus' => 'Учитывать статистику отображения контента',
						 												'eng' => 'to consider statistics of display of a content'),
			   									 'access'	=> 'editable'
			   									 ),
			   'maps_default_rights'		=> array('type'		=> 'string',
			   									 'defval'	=> '111111110001',
			   									 'descr'	=> array(	'rus' => 'Права для модуля по-умолчанию (формат <img src="/i/admin/rights_format.gif" width=72 height=18 alt="формат прав">, где x - 0 или 1, каждая группа представляет набор прав: удаление, публикация, редактирование, чтение)',
 												 						'eng' => 'Module default rights (format <img src="/i/admin/rights_format.gif" width=72 height=18 alt="rights format">, where x - 0 or 1, every group is rights set: delete, publication, edit, read)'),
			   									 'access'	=> 'editable'
			   									 ),
			   'maps_map_lat'		=> array('type'		=> 'string',
			   									 'defval'	=> '0',
			   									 'descr'	=> array(	'rus' => 'Широта центральной точки карты',
 												 						'eng' => 'Latitude'),
			   									 'access'	=> 'editable'
			   									 ),
			   'maps_map_lng'		=> array('type'		=> 'string',
			   									 'defval'	=> '0',
			   									 'descr'	=> array(	'rus' => 'Долгота центральной точки карты',
 												 						'eng' => 'Longitude'),
			   									 'access'	=> 'editable'
			   									 ),
			   'maps_map_zoom'		=> array('type'		=> 'string',
			   									 'defval'	=> '4',
			   									 'descr'	=> array(	'rus' => 'Масштаб карты',
 												 						'eng' => 'Zoom'),
			   									 'access'	=> 'editable'
			   									 ),
			   'maps_metro_city_id'		=> array('type'		=> 'string',
			   									 'defval'	=> '0',
			   									 'descr'	=> array(	'rus' => 'Id города имеющего метро',
 												 						'eng' => 'Id города имеющего метро'),
			   									 'access'	=> 'editable'
			   									 ),
			   'maps_map_key'		=> array('type'		=> 'string',
			   									 'defval'	=> '',
			   									 'descr'	=> array(	'rus' => 'Регистрационный ключ карты',
 												 						'eng' => 'Reg key for map'),
			   									 'access'	=> 'editable',
			   									 'multisite' => true
			   									 ),
			   'maps_geo_off' 	    => array('type'		=> 'checkbox',
			   									 'defval'	=> 'on',
			   									 'descr'	=> array(	'rus' => 'Отключить геотаргетинг',
						 												'eng' => 'Отключить геотаргетинг'),
			   									 'access'	=> 'editable'
			   									 ),
			   );

// Настройки модуля доступные для изменения посредством административного интерфейса
$OPEN_NEW = array (
    'maps_max_level'			=> 10,						// максимальная допустимая вложенность в каталоге
															// (начиная с нуля): на первый уровень нельзя добавлять
															// товары, на последний - подкатегории

	'maps_img_path'			=> $CONFIG['files_upload_path'].'maps/{SITE_PREFIX}/',				// картинки для товаров
	'maps_ctg_img_path'		=> $CONFIG['files_upload_path'].'maps/{SITE_PREFIX}/categories/',	// картинки для категорий
	'maps_ptype_img_path'		=> $CONFIG['files_upload_path'].'maps/{SITE_PREFIX}/ptype/',
    'maps_metro_img_path'		=> $CONFIG['files_upload_path'].'maps/{SITE_PREFIX}/metro/',
	'maps_product_small_image_size'		=> array(						// размеры при генерации маленькой картинки товара
												  'width'	=> 150,
												  'height'	=> 110
												 ),
	'maps_product_big_image_max_width'	=> 0,			// максимальная ширина закачиваемой большой
															// картинки - если картинка больше, то будет подогнана
															// под ширину, если подгонять не нужно,
															// выставите значение 0
								 );

/*------------- Ниже следующий массив задаётся из административного раздела модуля -------*/
$NEW = array(
/* ABOCMS:START */
'maps_max_rows' => '3000',
'maps_ctg_order_by' => 'title',
'maps_prod_order_by' => 'product_title',
'maps_empty_prp' => '-/-',
'maps_count_hits' => 'on',
'maps_default_rights' => '111111110001',
'maps_map_lat' => '61.34629060936279',
'maps_map_lng' => '62.57869849999619',
'maps_map_zoom' => '10',
'maps_metro_city_id' => '2',
'maps_map_key' => array(
	'abo' => '',	
	),
'maps_geo_off' => '',
/* ABOCMS:END */
);
?>