<?php

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_maps_categories` (
					  `id` int(10) unsigned NOT NULL auto_increment,
            `cleft` int(10) unsigned NOT NULL default '0',
            `cright` int(10) unsigned NOT NULL default '0',
            `clevel` int(10) unsigned NOT NULL default '0',
            `parent_id` int(11) NOT NULL default '0',
            `metro_id` int(11) NOT NULL default '0',
            `active` tinyint(1) NOT NULL default '1',
            `title` varchar(255) NOT NULL default '',
            `alias` varchar(150) default NULL,
            `group_id` int(10) unsigned NOT NULL default '0',
            `description` text,
            `img` varchar(31) NOT NULL default '',
            `img_big` varchar(31) NOT NULL default '',
            `page_description` text,
            `keywords` text,
            `rank` int(11) NOT NULL default '0',
            `owner_id` int(10) unsigned NOT NULL default '0',
            `usr_group_id` int(10) unsigned NOT NULL default '0',
            `rights` int(10) unsigned NOT NULL default '0',
            `lat` decimal(10,6) default NULL,
            `lng` decimal(10,6) default NULL,
            `zoom` tinyint(2) unsigned NOT NULL default '0',
            PRIMARY KEY  (`id`),
            UNIQUE KEY `parent_id` (`parent_id`,`alias`),
            KEY `cleft` (`cleft`,`cright`,`clevel`),
            KEY (`metro_id`)
					) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_maps_concerned_products` (
					`prod_id` int(11) NOT NULL,
          `concrn_id` int(11) NOT NULL,
          `rank` int(11) NOT NULL default '0',
          UNIQUE KEY `prod_id` (`prod_id`,`concrn_id`)
					) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_maps_products` (
					  `id` int(11) NOT NULL auto_increment,
            `category_id` int(11) NOT NULL default '0',
            `group_id` int(11) NOT NULL default '0',
            `ptype_id` int(11) NOT NULL default '0',
            `product_code` varchar(127) NOT NULL default '',
            `product_title` varchar(255) NOT NULL default '',
            `alias` varchar(150) default NULL,
            `product_inf` text,
            `product_description` text,
            `currency` varchar(255) NOT NULL default '',
            `price_1` int(11) NOT NULL default '0',
            `price_2` int(11) NOT NULL default '0',
            `price_3` int(11) NOT NULL default '0',
            `price_4` int(11) NOT NULL default '0',
            `price_5` int(11) NOT NULL default '0',
            `image_middle` varchar(255) default NULL,
            `image_big` varchar(255) default NULL,
            `product_availability` varchar(10) NOT NULL default '',
            `active` tinyint(1) NOT NULL default '0',
            `rank` int(11) NOT NULL default '0',
            `leader` tinyint(1) NOT NULL default '0',
            `forum_theme` int(11) NOT NULL default '0',
            `description` text,
            `keywords` text,
            `hits` bigint(20) unsigned NOT NULL default '0',
            `owner_id` int(10) unsigned NOT NULL default '0',
            `usr_group_id` int(10) unsigned NOT NULL default '0',
            `rights` int(10) unsigned NOT NULL default '0',
            `lat` decimal(10,6) default NULL,
            `lng` decimal(10,6) default NULL,
            `zoom` tinyint(2) unsigned NOT NULL default '0',
            `addr` varchar(255) NOT NULL default '',
            `phone` varchar(255) NOT NULL default '',
            `open` varchar(255) NOT NULL default '',
            `e_mail` varchar(255) NOT NULL,
            `metro_id` int(11) NOT NULL default '0',
            PRIMARY KEY (`id`),
            KEY (`category_id`,`alias`),
            KEY (`metro_id`)
            ) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_maps_ptypes` (
					`id` int(11) NOT NULL auto_increment,
          `ptype_name` varchar(255) NOT NULL default '',
          `link` varchar(255) NOT NULL default '',
          `icon` varchar(63) NOT NULL,
          PRIMARY KEY  (`id`)
					) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_maps_metro` (
    `id` int unsigned NOT NULL auto_increment,
    `title` varchar(63) NOT NULL,
    `file` varchar(63) NOT NULL,
    PRIMARY KEY  (`id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_maps_metro_stat` (
    `id` int unsigned NOT NULL auto_increment,
    `metro_id` int unsigned NOT NULL DEFAULT 0,
    `station` varchar(63) NOT NULL,
    content TEXT,
    active_content TEXT,
    `color` varchar(8) DEFAULT '',
    PRIMARY KEY  (`id`),
    KEY  (`metro_id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_maps_prod_stat` (
    `prod_id` int unsigned NOT NULL DEFAULT 0,
    `stat_id` int unsigned NOT NULL DEFAULT 0,
    PRIMARY KEY (`prod_id`, `stat_id`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_maps_service` (
`id` int unsigned NOT NULL auto_increment,
`rank` int NOT NULL NULL DEFAULT 0,
`title` varchar(255) NOT NULL DEFAULT '',
`file` varchar(63) NOT NULL,
`dscr` TEXT,
PRIMARY KEY  (`id`)
) ENGINE=MyISAM";


$MOD_TABLES[] = "CREATE TABLE `".$prefix."_maps_prod_service` (
`prod_id` int unsigned NOT NULL DEFAULT 0,
`service_id` int unsigned NOT NULL DEFAULT 0,
PRIMARY KEY (`prod_id`, `service_id`)
) ENGINE=MyISAM";
?>
