<?php

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_sitelinks` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `category_id` int(10) unsigned NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  `title` text,
  `dscr` text,
  `email` varchar(100) NOT NULL default '',
  `back_url` varchar(255) NOT NULL default '',
  `note` text,
  `tcy` int(10) unsigned NOT NULL default '0',
  `create_date` datetime default NULL,
  `check_date` datetime default NULL,
  `code_id` int(10) unsigned NOT NULL default '0',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `active` tinyint(1) unsigned NOT NULL default '0',
  `check_url` tinyint(1) unsigned NOT NULL default '0',
  `confirmed` tinyint(1) unsigned NOT NULL default '0',
  `activation_code` varchar(32) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `url` (`url`)
) ENGINE=MyISAM";

$MOD_TABLES[] = "CREATE TABLE `".$prefix."_sitelinks_categories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `parent_id` int(10) unsigned NOT NULL default '1',
  `title` varchar(255) NOT NULL default '',
  `create_date` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM";


$MOD_TABLES[] = "CREATE TABLE `".$prefix."_sitelinks_codes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `code` text,
  `active` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM";

?>